<?php
/**
* Additional Woocommerce Settings.
*
* @package Board Games
*/

$board_games_default = board_games_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'board_games_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'board-games' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'board_games_theme_option_panel',
	)
);

	$wp_customize->add_setting('board_games_per_columns',
		array(
		'default'           => $board_games_default['board_games_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'board_games_sanitize_number_range',
		)
	);
	$wp_customize->add_control('board_games_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'board-games'),
		'section'     => 'board_games_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('board_games_product_per_page',
		array(
		'default'           => $board_games_default['board_games_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'board_games_sanitize_number_range',
		)
	);
	$wp_customize->add_control('board_games_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'board-games'),
		'section'     => 'board_games_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('board_games_show_hide_related_product',
    array(
        'default' => $board_games_default['board_games_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'board_games_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('board_games_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'board-games'),
	        'section' => 'board_games_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('board_games_custom_related_products_number',
		array(
		'default'           => $board_games_default['board_games_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'board_games_sanitize_number_range',
		)
	);
	$wp_customize->add_control('board_games_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'board-games'),
		'section'     => 'board_games_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('board_games_custom_related_products_number_per_row',
		array(
		'default'           => $board_games_default['board_games_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'board_games_sanitize_number_range',
		)
	);
	$wp_customize->add_control('board_games_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'board-games'),
		'section'     => 'board_games_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);